summaryrefslogtreecommitdiff
path: root/dev-python/croniter
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/croniter
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/croniter')
-rw-r--r--dev-python/croniter/Manifest2
-rw-r--r--dev-python/croniter/croniter-0.3.29.ebuild27
-rw-r--r--dev-python/croniter/croniter-0.3.30.ebuild27
-rw-r--r--dev-python/croniter/metadata.xml12
4 files changed, 68 insertions, 0 deletions
diff --git a/dev-python/croniter/Manifest b/dev-python/croniter/Manifest
new file mode 100644
index 000000000000..8457d87ad664
--- /dev/null
+++ b/dev-python/croniter/Manifest
@@ -0,0 +1,2 @@
+DIST croniter-0.3.29.tar.gz 20276 BLAKE2B 951b9f2e998be496420dbf08e06a60a0eb3eb8538d9e63bf11182bc449bc49eaec36c1d1025269974fd0ff24430e16c3cf410d2b50873498d077ac22e0b52fb8 SHA512 0333e8d801aa7453ea6bc2b49abcabb24390535eecb5af2050512cf69410d21179405ceea14b8037c8f107321ee53a10c6060796c86c9b24ae48af65068e9b87
+DIST croniter-0.3.30.tar.gz 18122 BLAKE2B d15e19167eabf935ca12ad2b277b9b97459248c3a47982346070b4500b45f8296beeabf76c5ceb9bbff579ab2d713392c82446b234a6f4b4f6e8317adc67613d SHA512 1e7f5da56991281a16919abbb386a20a8437604bbe0e57d12726d5f19c1c038e9b320a900471b1d4dad9f5dfd0eeb85ced17232a4907e50025592a293a5a8ad1
diff --git a/dev-python/croniter/croniter-0.3.29.ebuild b/dev-python/croniter/croniter-0.3.29.ebuild
new file mode 100644
index 000000000000..debbc4fd5e47
--- /dev/null
+++ b/dev-python/croniter/croniter-0.3.29.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module to provide iteration for datetime object"
+HOMEPAGE="https://github.com/kiorky/croniter https://pypi.org/project/croniter/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )"
+RDEPEND="dev-python/python-dateutil[${PYTHON_USEDEP}]"
+python_test() {
+ py.test -v src/croniter/tests || die "tests failed"
+}
diff --git a/dev-python/croniter/croniter-0.3.30.ebuild b/dev-python/croniter/croniter-0.3.30.ebuild
new file mode 100644
index 000000000000..df279163ba05
--- /dev/null
+++ b/dev-python/croniter/croniter-0.3.30.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module to provide iteration for datetime object"
+HOMEPAGE="https://github.com/kiorky/croniter https://pypi.org/project/croniter/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )"
+RDEPEND="dev-python/python-dateutil[${PYTHON_USEDEP}]"
+python_test() {
+ py.test -v src/croniter/tests || die "tests failed"
+}
diff --git a/dev-python/croniter/metadata.xml b/dev-python/croniter/metadata.xml
new file mode 100644
index 000000000000..e1007b92342e
--- /dev/null
+++ b/dev-python/croniter/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <remote-id type="pypi">croniter</remote-id>
+ <remote-id type="github">kiorky/croniter</remote-id>
+ </upstream>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>